package cn.com.qmth.stmms.biz.utils;

public class OriginTag {

    private Integer userId;

    private Integer groupNumber;

    private String userRole;

    private String content;

    private int offsetIndex;

    private double offsetX;

    private double offsetY;

    public OriginTag() {

    }

    public OriginTag(Integer userId, String userRole, Integer groupNumber, String content, int offsetIndex,
            double offsetX, double offsetY) {
        this.userId = userId;
        this.userRole = userRole == null ? "" : userRole;
        this.groupNumber = groupNumber;
        this.content = content;
        this.offsetIndex = offsetIndex;
        this.offsetX = offsetX;
        this.offsetY = offsetY;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public int getOffsetIndex() {
        return offsetIndex;
    }

    public void setOffsetIndex(int offsetIndex) {
        this.offsetIndex = offsetIndex;
    }

    public double getOffsetX() {
        return offsetX;
    }

    public void setOffsetX(double offsetX) {
        this.offsetX = offsetX;
    }

    public double getOffsetY() {
        return offsetY;
    }

    public void setOffsetY(double offsetY) {
        this.offsetY = offsetY;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public String getUserRole() {
        return userRole;
    }

    public void setUserRole(String userRole) {
        this.userRole = userRole;
    }

}
